PGOBLIN_BANG(-f)
--# Copyright (C) @BABOLO  2008 http://www.babolo.ru/
--# All rights reserved.
--#
--# Redistribution and use in source and binary forms, with or without
--# modification, are permitted provided that the following conditions
--# are met:
--# 1. Redistributions of source code must retain the above copyright
--#    notice, this list of conditions and the following disclaimer.
--# 2. Redistributions in binary form must reproduce the above copyright
--#    notice, this list of conditions and the following disclaimer in the
--#    documentation and/or other materials provided with the distribution.
--#
--# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
--# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
--# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
--# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
--# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
--# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
--# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
--# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
--# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
--# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
--# SUCH DAMAGE.
--#
--# $Id: CIPA_1.m4,v 1.1 2008/01/22 08:11:51 babolo Exp $

GETARG
#perform
CREATE TEMP TABLE x(inpath  text);
INSERT INTO x(inpath) SELECT a FROM a WHERE i = 0;

#perform
CREATE TABLE type
     ( type    int4
     , ntype   name
     , cipa    int4
     )
;
COMMENT ON TABLE type        IS ' FTP ';
COMMENT ON COLUMN type.type    IS '';
COMMENT ON COLUMN type.ntype   IS '';
COMMENT ON COLUMN type.cipa    IS ' ';

#perform
CREATE TABLE ftp
     ( ftp     int4
     , nftp    name
     , path    text
     , type    int4
     , ugrp    int4
     , agrp    int4
     , suid    int4
     )
;
COMMENT ON TABLE ftp        IS 'FTP ';
COMMENT ON COLUMN ftp.ftp     IS '';
COMMENT ON COLUMN ftp.nftp    IS '';
COMMENT ON COLUMN ftp.path    IS '  ';
COMMENT ON COLUMN ftp.type    IS '';
COMMENT ON COLUMN ftp.ugrp    IS '  ';
COMMENT ON COLUMN ftp.agrp    IS '  ';

#perform
CREATE TABLE grp
     ( ftp     int4
     , grp     int4
     , ngrp    name
     , gena    bool
     )
;
COMMENT ON TABLE grp          IS '';
COMMENT ON COLUMN grp.ftp       IS 'FTP ';
COMMENT ON COLUMN grp.grp       IS '';
COMMENT ON COLUMN grp.ngrp      IS '';
COMMENT ON COLUMN grp.gena      IS '';

#perform
CREATE TABLE admin
     ( admin   int4
     , nadmin  name
     , apass   text
     , ftplist varbit
     , aena    bool
     )
;
COMMENT ON TABLE admin        IS '';
COMMENT ON COLUMN admin.admin   IS '';
COMMENT ON COLUMN admin.nadmin  IS '';
COMMENT ON COLUMN admin.apass   IS ' ';
COMMENT ON COLUMN admin.ftplist IS ' ,  , ';
COMMENT ON COLUMN admin.aena    IS '';

#perform
CREATE TABLE client
     ( ftp     int4 NOT NULL
     , nclient name NOT NULL
     , cpass   text NOT NULL
     , client  int4 NOT NULL
     , super   bool NOT NULL
     , cena    bool
     )
;
COMMENT ON TABLE client        IS ' FTP ';
COMMENT ON COLUMN client.ftp     IS 'FTP ';
COMMENT ON COLUMN client.nclient IS '';
COMMENT ON COLUMN client.cpass   IS ' ';
COMMENT ON COLUMN client.client  IS '';
COMMENT ON COLUMN client.super   IS ' FTP ';
COMMENT ON COLUMN client.cena    IS '';

#perform
CREATE TABLE cgroup
     ( nclient name
     , ftp     int4
     , ngrp    name
     )
;
COMMENT ON TABLE cgroup        IS '  FTP ';
COMMENT ON COLUMN cgroup.nclient IS ' ';
COMMENT ON COLUMN cgroup.ftp     IS 'FTP ';
COMMENT ON COLUMN cgroup.ngrp    IS ' ';

REGISTRY_VERSION(cipa-0.00)
